GNU Radio 2.x: gr_fir_fff_generic Class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Class List | File List | Class Members | File Members

# gr_fir_fff_generic Class Reference

`#include <gr_fir_fff_generic.h>`

Inheritance diagram for gr_fir_fff_generic:

[legend]
Collaboration diagram for gr_fir_fff_generic:

[legend]
List of all members.

## Detailed Description

Concrete class for generic implementation of FIR with float input, float output and float taps.

The trailing suffix has the form _IOT where I codes the input type, O codes the output type, and T codes the tap type. I,O,T are elements of the set 's' (short), 'f' (float), 'c' (gr_complex), 'i' (int)

## Public Member Functions
| gr_fir_fff_generic ()
| gr_fir_fff_generic (const std::vector< float > &taps)
virtual float | filter (const float input[])
| compute a single output value.
virtual void | filterN (float output[], const float input[], unsigned long n)
| compute an array of N output values.
virtual void | filterNdec (float output[], const float input[], unsigned long n, unsigned decimate)
| compute an array of N output values, decimating the input

## Constructor & Destructor Documentation

gr_fir_fff_generic::gr_fir_fff_generic | ( |  | ) | `[inline]`

gr_fir_fff_generic::gr_fir_fff_generic | ( | const std::vector< float > & | taps | ) | `[inline]`

## Member Function Documentation

float gr_fir_fff_generic::filter | ( | const float | input[] | ) | `[virtual]`

| compute a single output value. `input` must have ntaps() valid entries. input[0] .. input[ntaps() - 1] are referenced to compute the output value. Returns: the filtered input value. Implements gr_fir_fff. Reimplemented in gr_fir_fff_simd.

void gr_fir_fff_generic::filterN | ( | float | output[],
|  | const float | input[],
|  | unsigned long | n
| ) | `[virtual]`

| compute an array of N output values. `input` must have (n - 1 + ntaps()) valid entries. input[0] .. input[n - 1 + ntaps() - 1] are referenced to compute the output values. Implements gr_fir_fff.

void gr_fir_fff_generic::filterNdec | ( | float | output[],
|  | const float | input[],
|  | unsigned long | n,
|  | unsigned | decimate
| ) | `[virtual]`

| compute an array of N output values, decimating the input `input` must have (decimate * (n - 1) + ntaps()) valid entries. input[0] .. input[decimate * (n - 1) + ntaps() - 1] are referenced to compute the output values. Implements gr_fir_fff.

The documentation for this class was generated from the following files:

- gr_fir_fff_generic.h
- gr_fir_fff_generic.cc